#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
import os

import requests

# TODO logging
# TODO capo
# TODO Error checking
# TODO Validation

# Example HTTP requests
# wget -O - http://ngas-alpha.aoc.nrao.edu:7777/STATUS
# wget -O - http://ngas-alpha.aoc.nrao.edu:7777/ARCHIVE?filename=file:///users/rlively/ngas/Scan.xml
# wget -O - http://ngas-alpha.aoc.nrao.edu:7777/STATUS?file_id=Scan.xml

NGASHOST = "http://ngas-alpha.aoc.nrao.edu:7777/"
archivecommand = {"status": "STATUS", "archive": "ARCHIVE", "retrieve": "RETRIEVE"}


def ngasstatus():
    response = requests.get(NGASHOST + archivecommand["status"])
    return response


def archivefile(path):
    print("archive request: " + NGASHOST + archivecommand["archive"] + "?filename=file://" + path)
    response = requests.get(NGASHOST + archivecommand["archive"] + "?filename=file://" + path)
    return response


def retrievefile(fileid):
    print(NGASHOST + archivecommand["retrieve"] + "?" + "file_id=" + fileid)
    response = requests.get(NGASHOST + archivecommand["retrieve"] + "?" + "file_id=" + fileid)
    return response
